First and foremost I would like thank all the dev,mods,bods & contributors for the outstanding tool that is BT3!
really THANK you all

I have been able to muddle through many instances of "how the hell do I do that?" syndrome using this forum to counteract my noobieness but now im stuck.
I updated Fasttrack from whatever version ships w BT3F using the update function on the web GUI, now when I try to run fasttrack it tells me I need to install pymills,the problem is that the auto installer on fasttrack will not install it and I cannot find out how to do it manually as the ****:/ / trac . shortcircuit . net . au / pymills / site is down.
when I run python setup.py install and hit Y to install pymills it gets through to this point

Installed /usr/lib/python2.5/site-packages/setuptools-0.6c9dev_r66750-py2.5.egg
Processing dependencies for setuptools==0.6c9dev-r66750
Finished processing dependencies for setuptools==0.6c9dev-r66750
--00:27:37-- **** : / / pypi . python . org / packages / source / p / pymills / pymills-3.4.tar.gz
=> `pymills-3.4.tar.gz'
Resolving pypi.python.org... 32.1.8.136, 2001:888:2000:d::a3
Connecting to pypi.python.org|32.1.8.136|:80...


then hangs for a minute or so before resetting to the

Enter the path to the metasploit directory
Hit enter for default (/pentest/exploits/framework3/): prompt

which I assume I leave as default?
any help would be greatly appreciated